*{
    box-sizing: border-box;
}
/*sclrol mas elegante*/
html{
    scroll-behavior: smooth;
}

h1{ font-size: 3.5em;}
h2{ font-size: 2.7em;}
h3{ font-size: 2.7em;}

p{ font-size: 1.25em;}
button{
    font-size: 1.5em;
    font-weight: 2.7em;
    padding: 10px*30px;
    border-radius: 5px;
    border: 2px solid rgb(0,0,0,3);
    box-shadow: 2px 2px 10px rgba(0,0,0,0,5);
    color: white;
    background-color: blueviolet;
}
button:hover{
    background-color: rgb(51, 6, 92);
}

<!-- estilizamos el contenedor -->
.container{
    max-width: 1400px;
    margin: auto;
}  

header{
    background-color: rgb(243, 244, 245);
}

header .logo{
    margin: 0;
    padding: 25px 30px;
    font-weight: bold;
    color: blueviolet;
    font-size: 1.6em;
}


header .container{
    display: flex;
    flex-direction: column;
    align-items: center;
}

header nav{
    display: flex;
    flex-direction: column;
    text-align: center;
    padding-bottom:25px
}
header a{
    padding: 5px 12px;
    text-decoration: none;
    font-weight: bold;
    color: black;
}

header a:hover{
    color: blueviolet;
}

#hero{
    display: flex;
    align-items: center;
    justify-content: center;
    text-align: center;
    flex-direction: column;
    height: 80vh;
    color: white;
    background-image: linear-gradient(
        0deg,
        rgba(0,0,0,0.6),
        rgba(0,0,0,0.6)

    )
    ,url("img/01.jpg");
    background-repeat: no-repeat;
    background: cover;
    background-position: center center;
}
#hero h1{
    color: white;
}

#quien-soy .container{
    text-align: center;
    padding: 200px 12px;
}
#mis-hobbies{
    background-color:blueviolet ;
    color: white;
}

#mis-hobbies .container{
    text-align: center;
    padding: 200px 12px;
}

#mis-habilidades .container{
    text-align: center;
    padding: 200px 12px;
}
#mis-habilidades{
    background-color: rgb(30,30,30);
    color: white;
    text-align: center;
}
#mis-habilidades .container{
    padding: 100px 0px;
}
#mis-habilidades h2{
    margin-top: 0;  
}

#mis-habilidades p{
    display: none;}
/*secciòn habilidades*/
#mis-habilidades .carta{
    background: cover;
    background-position: center center;
    padding: 50px;
    margin: 20px;
    border-radius: 15px;
}

.carta:first-child{
    background-image: linear-gradient(
        0deg,
        rgba(0,0,0,0.6),
        rgba(0,0,0,0.6)
    )
    ,url("img/ccna.jpg");
    background-repeat: no-repeat;

}
.carta:nth-child(2){
    background-image: linear-gradient(
        0deg,
        rgba(0,0,0,0.6),
        rgba(0,0,0,0.6)

    )
    ,url("img/itess.jpg");
    background-repeat: no-repeat;

    
}
.carta:nth-child(3)
{
    background-image: linear-gradient(
        0deg,
        rgba(0,0,0,0.6),
        rgba(0,0,0,0.6)

    )
    ,url("img/python.png");
    background-repeat: no-repeat;

}
footer{
    background-color:violet;
}
footer p{
    margin: 0;
    padding: 12px; 
    background-color: violet;
}
footer .container{
    height: 50px;
    display: flex;
    justify-content: center;
    align-items: flex-end;
}
/*supro los 720 pixeles*/
@media (min-width: 720px){
    header {
        position: fixed;
        width: 100%;
    }
    header .container{
        flex-direction: row;
        justify-content: space-between;
    }
    header nav{
        flex-direction: row;
        padding-bottom: 0;
        padding-right: 20px;
    }   
    /*trabajar en quien soy*/
    #quien-soy .container{
        display: flex;
        justify-content: center;
    }
    
    #quien-soy .texto{
        width: 50%;
        max-width: 600px;
        text-align: initial;
        padding: 0px 30px;
        display: flex;
        flex-direction: column;
        justify-content: center;

    } 
    #quien-soy h2{
        margin-top: 0;
    }   
    #quien-soy  .img-container{
        background-image: linear-gradient(
            0deg,
            rgba(0,0,0,0.5),
            rgba(0,0,0,0.5)
        ), url("img/cmedina.jpg");
        background-size: cover;
        background-position: center center;
        height: 500px;
        width: 300px;
    }
}
    

body{
   margin: 0;
}
